Subject: Offline Message from Morgan: I’m in need of another charger for my swagcycle
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 06 Sep 2021 22:34:37 -0000

From: Morgan <[email-masked]>
Phone: 2087022932
Location: Grangeville, United States
URL: https://swagtron.com/parts-accessories/
Department: SwagTron

I’m in need of another charger for my swagcycle envy. Model number is SCE-1. As well as two of the face plates for it since I’m missing two on both of mine. I only have one charger. So need just one of those with two face plates so I won’t lose the chargers. I can send you photos if needed. But I can’t find it on your website. 

----
Zopim
https://www.zopim.com